Skip to content

Get Portfolio

Required scope: portfolio:read

Use this endpoint to retrieve a portfolio after creation, or to refresh its latest public fields.

Generated Reference
POST /public-api/publicapi.v1.Portfolio/GetPortfolio

Returns a portfolio by ID.

Request GetPortfolioRequest
Response GetPortfolioResponse

GetPortfolioRequest

Field Type
id string

GetPortfolioResponse

Field Type
portfolio Portfolio
{
"id": "be85f4d1-b680-4964-bf62-9828fdf4ce04"
}
Terminal window
curl https://portal.heyx.app/public-api/publicapi.v1.Portfolio/GetPortfolio \
-H "Authorization: Bearer hx_sk_..." \
-H "Content-Type: application/json" \
-d '{
"id": "be85f4d1-b680-4964-bf62-9828fdf4ce04"
}'
{
"portfolio": {
"id": "be85f4d1-b680-4964-bf62-9828fdf4ce04",
"title": "Solar installation lead",
"contactId": "ad89fe4f-345d-49d2-a6c9-13ed96a8e77d",
"referenceNumber": "P-000456"
}
}